#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tls
version:              1.5.6
visibility:           public
id:                   tls-1.5.6-5vqZOSkWnqlsaf1WBW3j
key:                  tls-1.5.6-5vqZOSkWnqlsaf1WBW3j
license:              BSD-3-Clause
copyright:            Vincent Hanquez <vincent@snarc.org>
maintainer:           Vincent Hanquez <vincent@snarc.org>
author:               Vincent Hanquez <vincent@snarc.org>
stability:            experimental
homepage:             http://github.com/vincenthz/hs-tls
synopsis:             TLS/SSL protocol native implementation (Server and Client)
description:
    Native Haskell TLS and SSL protocol implementation for server and client.

    This provides a high-level implementation of a sensitive security protocol,
    eliminating a common set of security issues through the use of the advanced
    type system, high level constructions and common Haskell features.

    Currently implement the SSL3.0, TLS1.0, TLS1.1, TLS1.2 and TLS 1.3 protocol,
    and support RSA and Ephemeral (Elliptic curve and regular) Diffie Hellman key exchanges,
    and many extensions.

    Some debug tools linked with tls, are available through the
    <http://hackage.haskell.org/package/tls-debug/>.

category:             Network
abi:                  e7309997580c8e83d41ef441da893bad
exposed:              True
exposed-modules:
    Network.TLS Network.TLS.Cipher Network.TLS.Compression
    Network.TLS.Extra Network.TLS.Extra.Cipher Network.TLS.Extra.FFDHE
    Network.TLS.Internal Network.TLS.QUIC

hidden-modules:
    Network.TLS.Cap Network.TLS.Struct Network.TLS.Struct13
    Network.TLS.Core Network.TLS.Context Network.TLS.Context.Internal
    Network.TLS.Credentials Network.TLS.Backend Network.TLS.Crypto
    Network.TLS.Crypto.DH Network.TLS.Crypto.IES
    Network.TLS.Crypto.Types Network.TLS.ErrT Network.TLS.Extension
    Network.TLS.Handshake Network.TLS.Handshake.Certificate
    Network.TLS.Handshake.Client Network.TLS.Handshake.Common
    Network.TLS.Handshake.Common13 Network.TLS.Handshake.Control
    Network.TLS.Handshake.Key Network.TLS.Handshake.Process
    Network.TLS.Handshake.Random Network.TLS.Handshake.Server
    Network.TLS.Handshake.Signature Network.TLS.Handshake.State
    Network.TLS.Handshake.State13 Network.TLS.Hooks Network.TLS.IO
    Network.TLS.Imports Network.TLS.KeySchedule Network.TLS.MAC
    Network.TLS.Measurement Network.TLS.Packet Network.TLS.Packet13
    Network.TLS.Parameters Network.TLS.PostHandshake Network.TLS.Record
    Network.TLS.Record.Disengage Network.TLS.Record.Engage
    Network.TLS.Record.Layer Network.TLS.Record.Reading
    Network.TLS.Record.Writing Network.TLS.Record.State
    Network.TLS.Record.Types Network.TLS.RNG Network.TLS.State
    Network.TLS.Session Network.TLS.Sending Network.TLS.Receiving
    Network.TLS.Util Network.TLS.Util.ASN1
    Network.TLS.Util.Serialization Network.TLS.Types Network.TLS.Wire
    Network.TLS.X509

import-dirs:          /usr/lib/ghc-9.0.2/site-local/tls-1.5.6
library-dirs:         /usr/lib/ghc-9.0.2/site-local/tls-1.5.6
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/tls-1.5.6
hs-libraries:         HStls-1.5.6-5vqZOSkWnqlsaf1WBW3j
depends:
    asn1-encoding-0.9.6-hjjIFrN1pxBoiVWveCltN
    asn1-types-0.3.4-D7lg6lzXsKK7WmmZeDM1zE
    async-2.2.3-7pljJfCB7e74FDaNZigg6K base-4.15.1.0
    bytestring-0.10.12.1 cereal-0.5.8.2-3mqeMFbPDR59NtNSFrV4h3
    cryptonite-0.29-F73X5cb4KpaA5YQwsDP2gi
    data-default-class-0.1.2.0-IxhEAzgy8931aXcEiJcyZO
    hourglass-0.2.12-4ky0djbx7yh6IwbK6xEGv2
    memory-0.16.0-FBfJqtDB5FTKsDjiBBMycd mtl-2.2.2
    network-3.1.2.7-EdwWg1HzTu96DUWsrJpQQz transformers-0.5.6.2
    x509-1.7.5-BbyWmPjsWx0JIwDvonjRhS
    x509-store-1.6.7-56CNtjAQFlTHuP0khvVFmi
    x509-validation-1.6.12-DSUtoih8PHb6eCqjqmT7CJ

haddock-interfaces:   /usr/share/doc/haskell-tls/html/tls.haddock
haddock-html:         /usr/share/doc/haskell-tls/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

